/*
 * Copyright (c) 1995 Argonaut Technologies Limited. All rights reserved.
 *
 * $Id:  $
 * $Locker:  $
 *
 * Example of useing BrModelUpdate() to implement morphing
*/
#define mangyFix
#include "var_res.h"
#undef mangyFix
#include <stdio.h>
#include <brender.h>
#include <dosio.h>

#define FALSE 0
#define TRUE 0xFFFFFFFF
#define PmFree(x) if(x)BrPixelmapFree(x)


br_pixelmap *Load_Pixelmap( br_pixelmap *pScreen, char *Pixelmap )
{
	br_pixelmap *pMap;
	char Pixelmap_File[255];

	strcpy( Pixelmap_File, Pixelmap );

	// Load selected intro page as backdrop based on high or low resolution

	if ( pScreen->width==320 )
                strcat( Pixelmap_File, "_lw.gif" );
	else if ( pScreen->width == 640 )
                strcat( Pixelmap_File, "_hg.gif" );
	else
	{
		BR_ERROR0("Invalid screen mode");
		return FALSE ;
	}

        pMap = BrFmtGIFLoad( Pixelmap_File ,BR_PMT_RGBX_888);

	if ( pMap == NULL )
	{
		char Message[255];
		sprintf( Message, "Couldn't load %s", Pixelmap_File );
		BR_ERROR0( Message );
		return FALSE ;
	}

	return( pMap );
}



int Change_Screen_Res()
{
	BrZbEnd();
	DOSGfxEnd();
	
	PmFree(backBuffer);
	PmFree(depthBuffer);
	PmFree(pLogo);
	
	if ( screenBuffer->width == 320 )
	{
		PmFree(screenBuffer);
		screenBuffer = DOSGfxBegin("VESA,W:640,H:480,B:8");
	}
	else
	{
		PmFree(screenBuffer);
		screenBuffer = DOSGfxBegin("MCGA");
	}

	BrZbBegin( screenBuffer->type,BR_PMT_DEPTH_16);
	backBuffer  = BrPixelmapMatch( screenBuffer, BR_PMMATCH_OFFSCREEN );
	depthBuffer = BrPixelmapMatch( screenBuffer, BR_PMMATCH_DEPTH_16);
	BrPixelmapFill( backBuffer, 0x0 );
	BrPixelmapFill( depthBuffer, 0xffffffff );

	pLogo = Load_Pixelmap( screenBuffer, "logo" );

	DOSGfxPaletteSet(palette);

	return TRUE ;
}

int Show_Help_Screen( br_pixelmap *pScreen, char *Help_Screen )
{
	br_pixelmap *pIntro ;
	char Help_File[255] ;

	strcpy( Help_File, Help_Screen );


	// Load selected intro page as backdrop based on high or low resolution

	if ( pScreen->width==320 )
                strcat( Help_File, "_lw.gif" );
	else if ( pScreen->width == 640 )
                strcat( Help_File, "_hg.gif" );
	else
	{
		BR_ERROR0("Invalid screen mode");
		return FALSE ;
	}

        pIntro = BrFmtGIFLoad(Help_File ,BR_PMT_RGBX_888);

	if ( pIntro == NULL )
	{
		char Message[255];
		sprintf( Message, "Couldn't load %s", Help_File );
		BR_ERROR0( Message );
		return FALSE ;
	}

	// Display help screen

	BrPixelmapCopy( pScreen, pIntro );

	// Wait for the user to hit a key - must turn DOSKey off because
	// it currently has no 'check for any key' function.

	DOSKeyEnd();
	getch();
	DOSKeyBegin();


	BrPixelmapFree(pIntro);

	return TRUE ;
}



